Run Insight

Runs a saved reporting insight, optionally overriding its time range and response format.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the reporting insight.

Request

This endpoint expects an object.
formatPlanobjectOptional

Output-formatting instructions applied to the insight run.

timeRangeOverrideobjectOptional

This is the optional time range override for the insight. If provided, overrides every field in the insight’s timeRange. If this is provided with missing fields, defaults will be used, not the insight’s timeRange. start default - “-7d” end default - “now” step default - “day” For Pie and Text Insights, step will be ignored even if provided.

assistantIdstringOptional

Optional runtime assistant scope for dashboards. This is applied to call-table queries without mutating the saved insight.

Response

idstring
The unique identifier for the insight run.
insightIdstring
The unique identifier for the insight that was run.
orgIdstring
The unique identifier for the organization that owns the run.
createdAtdatetime
The ISO 8601 timestamp when the insight run was created.
updatedAtdatetime
The ISO 8601 timestamp when the insight run was last updated.